<?php

  /**
   * @file
   * Contains default views
   */

  /**
   * Implements hook_views_default_views().
   */
  function pe_assignment_answer_views_default_views() {

    $view = new view();
    $view->name = 'assignment_answers';
    $view->description = 'List of assignment answers for a student';
    $view->tag = 'phpedu';
    $view->base_table = 'node';
    $view->human_name = 'Assignment answers list';
    $view->core = 7;
    $view->api_version = '3.0';
    $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

    /* Display: Master */
    $handler = $view->new_display('default', 'Master', 'default');
    $handler->display->display_options['title'] = 'My assignments';
    $handler->display->display_options['use_ajax'] = TRUE;
    $handler->display->display_options['use_more'] = TRUE;
    $handler->display->display_options['use_more_always'] = FALSE;
    $handler->display->display_options['access']['type'] = 'none';
    $handler->display->display_options['cache']['type'] = 'none';
    $handler->display->display_options['query']['type'] = 'views_query';
    $handler->display->display_options['query']['options']['query_comment'] = FALSE;
    $handler->display->display_options['exposed_form']['type'] = 'basic';
    $handler->display->display_options['pager']['type'] = 'full';
    $handler->display->display_options['pager']['options']['items_per_page'] = '20';
    $handler->display->display_options['pager']['options']['offset'] = '0';
    $handler->display->display_options['pager']['options']['id'] = '0';
    $handler->display->display_options['pager']['options']['quantity'] = '9';
    $handler->display->display_options['style_plugin'] = 'table';
    $handler->display->display_options['style_options']['columns'] = array(
      'title_1' => 'title_1',
      'field_course_id' => 'field_course_id',
      'title' => 'title',
      'field_score' => 'field_score',
      'name_1' => 'name_1',
      'field_active_date' => 'field_active_date',
    );
    $handler->display->display_options['style_options']['default'] = 'field_active_date';
    $handler->display->display_options['style_options']['info'] = array(
      'title_1' => array(
        'sortable' => 0,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_course_id' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'title' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_score' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'name_1' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_active_date' => array(
        'sortable' => 1,
        'default_sort_order' => 'desc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
    );
    /* No results behavior: Global: Text area */
    $handler->display->display_options['empty']['area']['id'] = 'area';
    $handler->display->display_options['empty']['area']['table'] = 'views';
    $handler->display->display_options['empty']['area']['field'] = 'area';
    $handler->display->display_options['empty']['area']['empty'] = TRUE;
    $handler->display->display_options['empty']['area']['content'] = 'No assignment answers';
    $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
    /* Relationship: Entity Reference: Referenced Entity */
    $handler->display->display_options['relationships']['field_assignment_question_id_target_id']['id'] = 'field_assignment_question_id_target_id';
    $handler->display->display_options['relationships']['field_assignment_question_id_target_id']['table'] = 'field_data_field_assignment_question_id';
    $handler->display->display_options['relationships']['field_assignment_question_id_target_id']['field'] = 'field_assignment_question_id_target_id';
    $handler->display->display_options['relationships']['field_assignment_question_id_target_id']['label'] = 'referenced-assignment-question';
    /* Relationship: Entity Reference: Referenced Entity */
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['id'] = 'field_program_course_id_target_id';
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['table'] = 'field_data_field_program_course_id';
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['field'] = 'field_program_course_id_target_id';
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['relationship'] = 'field_assignment_question_id_target_id';
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['label'] = 'referenced-program-course';
    /* Relationship: Entity Reference: Referenced Entity */
    $handler->display->display_options['relationships']['field_course_id_target_id']['id'] = 'field_course_id_target_id';
    $handler->display->display_options['relationships']['field_course_id_target_id']['table'] = 'field_data_field_course_id';
    $handler->display->display_options['relationships']['field_course_id_target_id']['field'] = 'field_course_id_target_id';
    $handler->display->display_options['relationships']['field_course_id_target_id']['relationship'] = 'field_program_course_id_target_id';
    $handler->display->display_options['relationships']['field_course_id_target_id']['label'] = 'referenced-course';
    /* Relationship: Content: Author */
    $handler->display->display_options['relationships']['uid']['id'] = 'uid';
    $handler->display->display_options['relationships']['uid']['table'] = 'node';
    $handler->display->display_options['relationships']['uid']['field'] = 'uid';
    $handler->display->display_options['relationships']['uid']['label'] = 'author-student';
    /* Relationship: Content: Author */
    $handler->display->display_options['relationships']['uid_1']['id'] = 'uid_1';
    $handler->display->display_options['relationships']['uid_1']['table'] = 'node';
    $handler->display->display_options['relationships']['uid_1']['field'] = 'uid';
    $handler->display->display_options['relationships']['uid_1']['relationship'] = 'field_assignment_question_id_target_id';
    $handler->display->display_options['relationships']['uid_1']['label'] = 'author-teacher';
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title']['id'] = 'title';
    $handler->display->display_options['fields']['title']['table'] = 'node';
    $handler->display->display_options['fields']['title']['field'] = 'title';
    $handler->display->display_options['fields']['title']['label'] = 'Answer';
    $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
    /* Field: User: Name */
    $handler->display->display_options['fields']['name']['id'] = 'name';
    $handler->display->display_options['fields']['name']['table'] = 'users';
    $handler->display->display_options['fields']['name']['field'] = 'name';
    $handler->display->display_options['fields']['name']['relationship'] = 'uid';
    $handler->display->display_options['fields']['name']['label'] = 'Student';
    $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
    $handler->display->display_options['fields']['title_1']['table'] = 'node';
    $handler->display->display_options['fields']['title_1']['field'] = 'title';
    $handler->display->display_options['fields']['title_1']['relationship'] = 'field_assignment_question_id_target_id';
    $handler->display->display_options['fields']['title_1']['label'] = 'Question';
    $handler->display->display_options['fields']['title_1']['element_label_colon'] = FALSE;
    /* Field: User: Name */
    $handler->display->display_options['fields']['name_1']['id'] = 'name_1';
    $handler->display->display_options['fields']['name_1']['table'] = 'users';
    $handler->display->display_options['fields']['name_1']['field'] = 'name';
    $handler->display->display_options['fields']['name_1']['relationship'] = 'uid_1';
    $handler->display->display_options['fields']['name_1']['label'] = 'Teacher';
    $handler->display->display_options['fields']['name_1']['element_label_colon'] = FALSE;
    /* Field: Content: Code */
    $handler->display->display_options['fields']['field_code']['id'] = 'field_code';
    $handler->display->display_options['fields']['field_code']['table'] = 'field_data_field_code';
    $handler->display->display_options['fields']['field_code']['field'] = 'field_code';
    $handler->display->display_options['fields']['field_code']['relationship'] = 'field_course_id_target_id';
    $handler->display->display_options['fields']['field_code']['label'] = 'Course';
    $handler->display->display_options['fields']['field_code']['element_label_colon'] = FALSE;
    /* Field: Content: Score */
    $handler->display->display_options['fields']['field_score']['id'] = 'field_score';
    $handler->display->display_options['fields']['field_score']['table'] = 'field_data_field_score';
    $handler->display->display_options['fields']['field_score']['field'] = 'field_score';
    $handler->display->display_options['fields']['field_score']['element_label_colon'] = FALSE;
    /* Field: Content: Active date */
    $handler->display->display_options['fields']['field_active_date']['id'] = 'field_active_date';
    $handler->display->display_options['fields']['field_active_date']['table'] = 'field_data_field_active_date';
    $handler->display->display_options['fields']['field_active_date']['field'] = 'field_active_date';
    $handler->display->display_options['fields']['field_active_date']['relationship'] = 'field_assignment_question_id_target_id';
    $handler->display->display_options['fields']['field_active_date']['label'] = 'End date';
    $handler->display->display_options['fields']['field_active_date']['element_label_colon'] = FALSE;
    $handler->display->display_options['fields']['field_active_date']['settings'] = array(
      'format_type' => 'long',
      'fromto' => 'value2',
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_to' => '',
      'show_repeat_rule' => 'show',
    );
    /* Sort criterion: Content: Post date */
    $handler->display->display_options['sorts']['created']['id'] = 'created';
    $handler->display->display_options['sorts']['created']['table'] = 'node';
    $handler->display->display_options['sorts']['created']['field'] = 'created';
    $handler->display->display_options['sorts']['created']['order'] = 'DESC';
    /* Filter criterion: Content: Published */
    $handler->display->display_options['filters']['status']['id'] = 'status';
    $handler->display->display_options['filters']['status']['table'] = 'node';
    $handler->display->display_options['filters']['status']['field'] = 'status';
    $handler->display->display_options['filters']['status']['value'] = 1;
    $handler->display->display_options['filters']['status']['group'] = 0;
    $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
    /* Filter criterion: Content: Type */
    $handler->display->display_options['filters']['type']['id'] = 'type';
    $handler->display->display_options['filters']['type']['table'] = 'node';
    $handler->display->display_options['filters']['type']['field'] = 'type';
    $handler->display->display_options['filters']['type']['value'] = array(
      'pe_assignment_answer' => 'pe_assignment_answer',
    );

    /* Display: Block */
    $handler = $view->new_display('block', 'Block', 'block_1');
    $handler->display->display_options['defaults']['pager'] = FALSE;
    $handler->display->display_options['pager']['type'] = 'some';
    $handler->display->display_options['pager']['options']['items_per_page'] = '10';
    $handler->display->display_options['pager']['options']['offset'] = '0';
    $handler->display->display_options['defaults']['style_plugin'] = FALSE;
    $handler->display->display_options['style_plugin'] = 'table';
    $handler->display->display_options['style_options']['columns'] = array(
      'title_1' => 'title_1',
      'title' => 'title',
      'field_score' => 'field_score',
      'field_code' => 'field_code',
      'name_1' => 'name_1',
      'field_active_date' => 'field_active_date',
      'name' => 'name',
    );
    $handler->display->display_options['style_options']['default'] = 'field_active_date';
    $handler->display->display_options['style_options']['info'] = array(
      'title_1' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'title' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_score' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_code' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'name_1' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_active_date' => array(
        'sortable' => 1,
        'default_sort_order' => 'desc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'name' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
    );
    $handler->display->display_options['defaults']['style_options'] = FALSE;
    $handler->display->display_options['defaults']['row_plugin'] = FALSE;
    $handler->display->display_options['defaults']['row_options'] = FALSE;
    $handler->display->display_options['block_description'] = 'My assignment answers';
    $translatables['assignment_answers'] = array(
      t('Master'),
      t('My assignments'),
      t('more'),
      t('Apply'),
      t('Reset'),
      t('Sort by'),
      t('Asc'),
      t('Desc'),
      t('Items per page'),
      t('- All -'),
      t('Offset'),
      t('« first'),
      t('‹ previous'),
      t('next ›'),
      t('last »'),
      t('No assignment answers'),
      t('referenced-assignment-question'),
      t('referenced-program-course'),
      t('referenced-course'),
      t('author-student'),
      t('author-teacher'),
      t('Answer'),
      t('Student'),
      t('Question'),
      t('Teacher'),
      t('Course'),
      t('Score'),
      t('End date'),
      t('Block'),
      t('My assignment answers'),
    );



// add view to array
    $views[$view->name] = $view;

    return $views;
  }
