<?php


  /**
   * Implements hook_views_default_views().
   */
  function pe_assignment_question_views_default_views() {

    $view = new view();
    $view->name = 'assignment_questions';
    $view->description = 'List of assignment tasks by a teacher';
    $view->tag = 'default';
    $view->base_table = 'node';
    $view->human_name = 'List of assignment tasks ';
    $view->core = 7;
    $view->api_version = '3.0';
    $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

    /* Display: Master */
    $handler = $view->new_display('default', 'Master', 'default');
    $handler->display->display_options['title'] = 'Assignments ';
    $handler->display->display_options['use_more_always'] = FALSE;
    $handler->display->display_options['access']['type'] = 'none';
    $handler->display->display_options['cache']['type'] = 'none';
    $handler->display->display_options['query']['type'] = 'views_query';
    $handler->display->display_options['exposed_form']['type'] = 'basic';
    $handler->display->display_options['pager']['type'] = 'full';
    $handler->display->display_options['pager']['options']['items_per_page'] = '20';
    $handler->display->display_options['style_plugin'] = 'table';
    $handler->display->display_options['style_options']['columns'] = array(
      'title' => 'title',
      'field_active_date' => 'field_active_date',
      'field_active_date_1' => 'field_active_date_1',
      'title_1' => 'title_1',
      'field_code' => 'field_code',
      'name' => 'name',
    );
    $handler->display->display_options['style_options']['default'] = 'field_active_date_1';
    $handler->display->display_options['style_options']['info'] = array(
      'title' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_active_date' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_active_date_1' => array(
        'sortable' => 1,
        'default_sort_order' => 'desc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'title_1' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'field_code' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'name' => array(
        'sortable' => 1,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
    );
    /* No results behavior: Global: Text area */
    $handler->display->display_options['empty']['area']['id'] = 'area';
    $handler->display->display_options['empty']['area']['table'] = 'views';
    $handler->display->display_options['empty']['area']['field'] = 'area';
    $handler->display->display_options['empty']['area']['empty'] = TRUE;
    $handler->display->display_options['empty']['area']['content'] = 'No assignment tasks';
    $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
    /* Relationship: Content: Author */
    $handler->display->display_options['relationships']['uid']['id'] = 'uid';
    $handler->display->display_options['relationships']['uid']['table'] = 'node';
    $handler->display->display_options['relationships']['uid']['field'] = 'uid';
    /* Relationship: Entity Reference: Referenced Entity */
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['id'] = 'field_program_course_id_target_id';
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['table'] = 'field_data_field_program_course_id';
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['field'] = 'field_program_course_id_target_id';
    $handler->display->display_options['relationships']['field_program_course_id_target_id']['label'] = 'referenced-program-course';
    /* Relationship: Entity Reference: Referenced Entity */
    $handler->display->display_options['relationships']['field_course_id_target_id']['id'] = 'field_course_id_target_id';
    $handler->display->display_options['relationships']['field_course_id_target_id']['table'] = 'field_data_field_course_id';
    $handler->display->display_options['relationships']['field_course_id_target_id']['field'] = 'field_course_id_target_id';
    $handler->display->display_options['relationships']['field_course_id_target_id']['relationship'] = 'field_program_course_id_target_id';
    $handler->display->display_options['relationships']['field_course_id_target_id']['label'] = 'referenced-course';
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title']['id'] = 'title';
    $handler->display->display_options['fields']['title']['table'] = 'node';
    $handler->display->display_options['fields']['title']['field'] = 'title';
    $handler->display->display_options['fields']['title']['label'] = 'Question';
    $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
    $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
    $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
    $handler->display->display_options['fields']['title_1']['table'] = 'node';
    $handler->display->display_options['fields']['title_1']['field'] = 'title';
    $handler->display->display_options['fields']['title_1']['relationship'] = 'field_program_course_id_target_id';
    $handler->display->display_options['fields']['title_1']['label'] = 'Course';
    $handler->display->display_options['fields']['title_1']['element_label_colon'] = FALSE;
    /* Field: Content: Code */
    $handler->display->display_options['fields']['field_code']['id'] = 'field_code';
    $handler->display->display_options['fields']['field_code']['table'] = 'field_data_field_code';
    $handler->display->display_options['fields']['field_code']['field'] = 'field_code';
    $handler->display->display_options['fields']['field_code']['relationship'] = 'field_course_id_target_id';
    $handler->display->display_options['fields']['field_code']['element_label_colon'] = FALSE;
    /* Field: User: Name */
    $handler->display->display_options['fields']['name']['id'] = 'name';
    $handler->display->display_options['fields']['name']['table'] = 'users';
    $handler->display->display_options['fields']['name']['field'] = 'name';
    $handler->display->display_options['fields']['name']['relationship'] = 'uid';
    $handler->display->display_options['fields']['name']['label'] = 'Teacher';
    $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
    /* Field: Content: Active date */
    $handler->display->display_options['fields']['field_active_date']['id'] = 'field_active_date';
    $handler->display->display_options['fields']['field_active_date']['table'] = 'field_data_field_active_date';
    $handler->display->display_options['fields']['field_active_date']['field'] = 'field_active_date';
    $handler->display->display_options['fields']['field_active_date']['label'] = 'Start';
    $handler->display->display_options['fields']['field_active_date']['element_label_colon'] = FALSE;
    $handler->display->display_options['fields']['field_active_date']['settings'] = array(
      'format_type' => 'medium',
      'fromto' => 'value',
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_to' => '',
      'show_repeat_rule' => 'show',
    );
    /* Field: Content: Active date */
    $handler->display->display_options['fields']['field_active_date_1']['id'] = 'field_active_date_1';
    $handler->display->display_options['fields']['field_active_date_1']['table'] = 'field_data_field_active_date';
    $handler->display->display_options['fields']['field_active_date_1']['field'] = 'field_active_date';
    $handler->display->display_options['fields']['field_active_date_1']['label'] = 'End';
    $handler->display->display_options['fields']['field_active_date_1']['element_label_colon'] = FALSE;
    $handler->display->display_options['fields']['field_active_date_1']['settings'] = array(
      'format_type' => 'medium',
      'fromto' => 'value2',
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_to' => '',
      'show_repeat_rule' => 'show',
    );
    /* Sort criterion: Content: Post date */
    $handler->display->display_options['sorts']['created']['id'] = 'created';
    $handler->display->display_options['sorts']['created']['table'] = 'node';
    $handler->display->display_options['sorts']['created']['field'] = 'created';
    $handler->display->display_options['sorts']['created']['order'] = 'DESC';
    /* Sort criterion: Content: Title */
    $handler->display->display_options['sorts']['title']['id'] = 'title';
    $handler->display->display_options['sorts']['title']['table'] = 'node';
    $handler->display->display_options['sorts']['title']['field'] = 'title';
    /* Filter criterion: Content: Published */
    $handler->display->display_options['filters']['status']['id'] = 'status';
    $handler->display->display_options['filters']['status']['table'] = 'node';
    $handler->display->display_options['filters']['status']['field'] = 'status';
    $handler->display->display_options['filters']['status']['value'] = 1;
    $handler->display->display_options['filters']['status']['group'] = 1;
    $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
    /* Filter criterion: Content: Type */
    $handler->display->display_options['filters']['type']['id'] = 'type';
    $handler->display->display_options['filters']['type']['table'] = 'node';
    $handler->display->display_options['filters']['type']['field'] = 'type';
    $handler->display->display_options['filters']['type']['value'] = array(
      'pe_assignment_question' => 'pe_assignment_question',
    );
    /* Filter criterion: User: Current */
    $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
    $handler->display->display_options['filters']['uid_current']['table'] = 'users';
    $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
    $handler->display->display_options['filters']['uid_current']['relationship'] = 'uid';
    $handler->display->display_options['filters']['uid_current']['value'] = '1';
    /* Filter criterion: Content: Title */
    $handler->display->display_options['filters']['title']['id'] = 'title';
    $handler->display->display_options['filters']['title']['table'] = 'node';
    $handler->display->display_options['filters']['title']['field'] = 'title';
    $handler->display->display_options['filters']['title']['relationship'] = 'field_course_id_target_id';
    $handler->display->display_options['filters']['title']['operator'] = 'contains';
    $handler->display->display_options['filters']['title']['exposed'] = TRUE;
    $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
    $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
    $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
    $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
    $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
      2 => '2',
      1 => 0,
      3 => 0,
      4 => 0,
      5 => 0,
      6 => 0,
      7 => 0,
      8 => 0,
      9 => 0,
    );

    /* Display: Page */
    $handler = $view->new_display('page', 'Page', 'page');
    $handler->display->display_options['defaults']['filter_groups'] = FALSE;
    $handler->display->display_options['defaults']['filters'] = FALSE;
    /* Filter criterion: Content: Published */
    $handler->display->display_options['filters']['status']['id'] = 'status';
    $handler->display->display_options['filters']['status']['table'] = 'node';
    $handler->display->display_options['filters']['status']['field'] = 'status';
    $handler->display->display_options['filters']['status']['value'] = 1;
    $handler->display->display_options['filters']['status']['group'] = 1;
    $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
    /* Filter criterion: Content: Type */
    $handler->display->display_options['filters']['type']['id'] = 'type';
    $handler->display->display_options['filters']['type']['table'] = 'node';
    $handler->display->display_options['filters']['type']['field'] = 'type';
    $handler->display->display_options['filters']['type']['value'] = array(
      'pe_assignment_question' => 'pe_assignment_question',
    );
    /* Filter criterion: Content: Title */
    $handler->display->display_options['filters']['title']['id'] = 'title';
    $handler->display->display_options['filters']['title']['table'] = 'node';
    $handler->display->display_options['filters']['title']['field'] = 'title';
    $handler->display->display_options['filters']['title']['relationship'] = 'field_course_id_target_id';
    $handler->display->display_options['filters']['title']['operator'] = 'contains';
    $handler->display->display_options['filters']['title']['exposed'] = TRUE;
    $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
    $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
    $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
    $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
    $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
      2 => '2',
      1 => 0,
      3 => 0,
      4 => 0,
      5 => 0,
      6 => 0,
      7 => 0,
      8 => 0,
      9 => 0,
    );
    $handler->display->display_options['path'] = 'assignment-questions';

    /* Display: Block */
    $handler = $view->new_display('block', 'Block', 'block');
    $handler->display->display_options['defaults']['title'] = FALSE;
    $handler->display->display_options['title'] = 'My assignment tasks ';
    $handler->display->display_options['defaults']['pager'] = FALSE;
    $handler->display->display_options['pager']['type'] = 'some';
    $handler->display->display_options['pager']['options']['items_per_page'] = '10';
    $handler->display->display_options['defaults']['relationships'] = FALSE;
    /* Relationship: Content: Author */
    $handler->display->display_options['relationships']['uid']['id'] = 'uid';
    $handler->display->display_options['relationships']['uid']['table'] = 'node';
    $handler->display->display_options['relationships']['uid']['field'] = 'uid';
    $handler->display->display_options['defaults']['fields'] = FALSE;
    /* Field: Content: Title */
    $handler->display->display_options['fields']['title']['id'] = 'title';
    $handler->display->display_options['fields']['title']['table'] = 'node';
    $handler->display->display_options['fields']['title']['field'] = 'title';
    $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
    $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
    /* Field: Content: Course */
    $handler->display->display_options['fields']['field_course_id']['id'] = 'field_course_id';
    $handler->display->display_options['fields']['field_course_id']['table'] = 'field_data_field_course_id';
    $handler->display->display_options['fields']['field_course_id']['field'] = 'field_course_id';
    $handler->display->display_options['fields']['field_course_id']['element_label_colon'] = FALSE;
    $handler->display->display_options['fields']['field_course_id']['settings'] = array(
      'link' => 1,
    );
    /* Field: Content: Active date */
    $handler->display->display_options['fields']['field_active_date_1']['id'] = 'field_active_date_1';
    $handler->display->display_options['fields']['field_active_date_1']['table'] = 'field_data_field_active_date';
    $handler->display->display_options['fields']['field_active_date_1']['field'] = 'field_active_date';
    $handler->display->display_options['fields']['field_active_date_1']['label'] = 'End';
    $handler->display->display_options['fields']['field_active_date_1']['element_label_colon'] = FALSE;
    $handler->display->display_options['fields']['field_active_date_1']['settings'] = array(
      'format_type' => 'medium',
      'fromto' => 'value2',
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_to' => '',
      'show_repeat_rule' => 'show',
    );
    $handler->display->display_options['defaults']['filter_groups'] = FALSE;
    $handler->display->display_options['defaults']['filters'] = FALSE;
    /* Filter criterion: Content: Published */
    $handler->display->display_options['filters']['status']['id'] = 'status';
    $handler->display->display_options['filters']['status']['table'] = 'node';
    $handler->display->display_options['filters']['status']['field'] = 'status';
    $handler->display->display_options['filters']['status']['value'] = 1;
    $handler->display->display_options['filters']['status']['group'] = 1;
    $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
    /* Filter criterion: Content: Type */
    $handler->display->display_options['filters']['type']['id'] = 'type';
    $handler->display->display_options['filters']['type']['table'] = 'node';
    $handler->display->display_options['filters']['type']['field'] = 'type';
    $handler->display->display_options['filters']['type']['value'] = array(
      'pe_assignment_question' => 'pe_assignment_question',
    );
    /* Filter criterion: User: Current */
    $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
    $handler->display->display_options['filters']['uid_current']['table'] = 'users';
    $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
    $handler->display->display_options['filters']['uid_current']['relationship'] = 'uid';
    $handler->display->display_options['filters']['uid_current']['value'] = '1';
    $handler->display->display_options['block_description'] = 'My assignment questions';
    $translatables['assignment_questions'] = array(
      t('Master'),
      t('Assignments '),
      t('more'),
      t('Apply'),
      t('Reset'),
      t('Sort by'),
      t('Asc'),
      t('Desc'),
      t('Items per page'),
      t('- All -'),
      t('Offset'),
      t('« first'),
      t('‹ previous'),
      t('next ›'),
      t('last »'),
      t('No assignment tasks'),
      t('author'),
      t('referenced-program-course'),
      t('referenced-course'),
      t('Question'),
      t('Course'),
      t('Code'),
      t('Teacher'),
      t('Start'),
      t('End'),
      t('Title'),
      t('Page'),
      t('Block'),
      t('My assignment tasks '),
      t('My assignment questions'),
    );

    $views[$view->name] = $view;

    return $views;
  }