<?php

/**
 * @file
 * Rules integration for the Organic groups Mass Add.
 *
 * @addtogroup rules
 * @{
 */

/**
 * Implements hook_default_rules_configuration().
 */
function pe_course_default_rules_configuration() {
  $items['rules_create_book_for_new_course'] = entity_import('rules_config', '{ "rules_create_book_for_new_course" : {
    "LABEL" : "Create book for new course",
    "PLUGIN" : "reaction rule",
    "TAGS" : [ "phpedu" ],
    "REQUIRES" : [ "rules" ],
    "ON" : [ "node_presave" ],
    "IF" : [
      { "node_is_of_type" : {
          "node" : [ "node" ],
          "type" : { "value" : { "pe_course" : "pe_course" } }
        }
      }
    ],
    "DO" : [
      { "entity_create" : {
          "USING" : {
            "type" : "node",
            "param_type" : "book",
            "param_title" : "[BOOK] [node:title]",
            "param_author" : [ "node:author" ]
          },
          "PROVIDE" : { "entity_created" : { "entity_created_book_page" : "Created entity for Book page" } }
        }
      },
      { "entity_save" : { "data" : [ "entity-created-book-page" ], "immediate" : 1 } },
      { "data_set" : {
          "data" : [ "node:field-course-book-id" ],
          "value" : [ "entity-created-book-page" ]
        }
      }
    ]
  }
}');

  return $items;
}
