<?php

/**
 * @file
 * Rules integration for the Organic groups Mass Add.
 *
 * @addtogroup rules
 * @{
 */

/**
 * Implements hook_default_rules_configuration().
 */
function pe_group_default_rules_configuration() {
  $items['rules_pe_group_add_user'] = entity_import('rules_config', '{ "rules_pe_group_add_user" : {
    "LABEL" : "Add user to group",
    "PLUGIN" : "action set",
    "REQUIRES" : [ "php", "rules", "og" ],
    "ACCESS_EXPOSED" : "1",
    "USES VARIABLES" : { "user" : { "label" : "user", "type" : "user" } },
    "ACTION SET" : [
      { "variable_add" : {
          "USING" : {
            "type" : "integer",
            "value" : {
              "select" : "site:current-user:uid",
              "php" : { "code" : "return $_SESSION[\u0027og_context\u0027][\u0027current_gid\u0027];" }
            }
          },
          "PROVIDE" : { "variable_added" : { "current_gid" : "Added variable" } }
        }
      },
      { "entity_fetch" : {
          "USING" : { "type" : "node", "id" : [ "current-gid" ] },
          "PROVIDE" : { "entity_fetched" : { "entity_fetched" : "Fetched entity" } }
        }
      },
      { "og_group_content_add" : { "entity" : [ "user" ], "group" : [ "entity-fetched" ] } },
      { "drupal_message" : { "message" : "User [user:name] added to group" } }
    ]
  }
}');

  return $items;
}
