<?php

/**
 * @file
 * Contains default views
 */

/**
 * Implements hook_views_default_views().
 */
function pe_program_views_default_views() {

  $view = new view();
  $view->name = 'programlist';
  $view->description = 'List of academic programs';
  $view->tag = 'phpedu';
  $view->base_table = 'node';
  $view->human_name = 'List of programs';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'List of programs';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['submit_button'] = 'Filter';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'field_section_id' => 'field_section_id',
    'field_term_program_type' => 'field_term_program_type',
    'field_term_time' => 'field_term_time',
    'field_duration' => 'field_duration',
    'field_duration_unit' => 'field_duration',
  );
  $handler->display->display_options['style_options']['default'] = 'title';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_section_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_term_program_type' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_term_time' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_duration' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '&nbsp;',
      'empty_column' => 0,
    ),
    'field_duration_unit' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Field: Academic section */
  $handler->display->display_options['fields']['field_section_id']['id'] = 'field_section_id';
  $handler->display->display_options['fields']['field_section_id']['table'] = 'field_data_field_section_id';
  $handler->display->display_options['fields']['field_section_id']['field'] = 'field_section_id';
  $handler->display->display_options['fields']['field_section_id']['label'] = 'Faculty/Department';
  $handler->display->display_options['fields']['field_section_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_section_id']['settings'] = array(
    'link' => 1,
  );
  /* Field: Content: Program type */
  $handler->display->display_options['fields']['field_term_program_type']['id'] = 'field_term_program_type';
  $handler->display->display_options['fields']['field_term_program_type']['table'] = 'field_data_field_term_program_type';
  $handler->display->display_options['fields']['field_term_program_type']['field'] = 'field_term_program_type';
  $handler->display->display_options['fields']['field_term_program_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_term_program_type']['element_label_colon'] = FALSE;
  /* Field: Content: Duration */
  $handler->display->display_options['fields']['field_duration']['id'] = 'field_duration';
  $handler->display->display_options['fields']['field_duration']['table'] = 'field_data_field_duration';
  $handler->display->display_options['fields']['field_duration']['field'] = 'field_duration';
  $handler->display->display_options['fields']['field_duration']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_duration']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Duration unit */
  $handler->display->display_options['fields']['field_duration_unit']['id'] = 'field_duration_unit';
  $handler->display->display_options['fields']['field_duration_unit']['table'] = 'field_data_field_duration_unit';
  $handler->display->display_options['fields']['field_duration_unit']['field'] = 'field_duration_unit';
  $handler->display->display_options['fields']['field_duration_unit']['label'] = '';
  $handler->display->display_options['fields']['field_duration_unit']['element_label_colon'] = FALSE;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'pe_program' => 'pe_program',
  );
  /* Filter criterion: Content: Program type (field_term_program_type) */
  $handler->display->display_options['filters']['field_term_program_type_tid']['id'] = 'field_term_program_type_tid';
  $handler->display->display_options['filters']['field_term_program_type_tid']['table'] = 'field_data_field_term_program_type';
  $handler->display->display_options['filters']['field_term_program_type_tid']['field'] = 'field_term_program_type_tid';
  $handler->display->display_options['filters']['field_term_program_type_tid']['value'] = '';
  $handler->display->display_options['filters']['field_term_program_type_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['operator_id'] = 'field_term_program_type_tid_op';
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['operator'] = 'field_term_program_type_tid_op';
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['identifier'] = 'field_term_program_type_tid';
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_term_program_type_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_term_program_type_tid']['vocabulary'] = 'program_type';
  $handler->display->display_options['filters']['field_term_program_type_tid']['hierarchy'] = 1;
  /* Filter criterion: Content: Time (field_term_time) */
  $handler->display->display_options['filters']['field_term_time_tid']['id'] = 'field_term_time_tid';
  $handler->display->display_options['filters']['field_term_time_tid']['table'] = 'field_data_field_term_time';
  $handler->display->display_options['filters']['field_term_time_tid']['field'] = 'field_term_time_tid';
  $handler->display->display_options['filters']['field_term_time_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_term_time_tid']['expose']['operator_id'] = 'field_term_time_tid_op';
  $handler->display->display_options['filters']['field_term_time_tid']['expose']['label'] = 'Time (field_term_time)';
  $handler->display->display_options['filters']['field_term_time_tid']['expose']['operator'] = 'field_term_time_tid_op';
  $handler->display->display_options['filters']['field_term_time_tid']['expose']['identifier'] = 'field_term_time_tid';
  $handler->display->display_options['filters']['field_term_time_tid']['vocabulary'] = 'time';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'List of programs';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Program';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Field: Academic section */
  $handler->display->display_options['fields']['field_section_id']['id'] = 'field_section_id';
  $handler->display->display_options['fields']['field_section_id']['table'] = 'field_data_field_section_id';
  $handler->display->display_options['fields']['field_section_id']['field'] = 'field_section_id';
  $handler->display->display_options['fields']['field_section_id']['label'] = 'Faculty/Department';
  $handler->display->display_options['fields']['field_section_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_section_id']['settings'] = array(
    'link' => 1,
  );
  /* Field: Content: Program type */
  $handler->display->display_options['fields']['field_term_program_type']['id'] = 'field_term_program_type';
  $handler->display->display_options['fields']['field_term_program_type']['table'] = 'field_data_field_term_program_type';
  $handler->display->display_options['fields']['field_term_program_type']['field'] = 'field_term_program_type';
  $handler->display->display_options['fields']['field_term_program_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_term_program_type']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_term_program_type']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Content: Time */
  $handler->display->display_options['fields']['field_term_time']['id'] = 'field_term_time';
  $handler->display->display_options['fields']['field_term_time']['table'] = 'field_data_field_term_time';
  $handler->display->display_options['fields']['field_term_time']['field'] = 'field_term_time';
  $handler->display->display_options['fields']['field_term_time']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_term_time']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Content: Duration */
  $handler->display->display_options['fields']['field_duration']['id'] = 'field_duration';
  $handler->display->display_options['fields']['field_duration']['table'] = 'field_data_field_duration';
  $handler->display->display_options['fields']['field_duration']['field'] = 'field_duration';
  $handler->display->display_options['fields']['field_duration']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_duration']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Duration unit */
  $handler->display->display_options['fields']['field_duration_unit']['id'] = 'field_duration_unit';
  $handler->display->display_options['fields']['field_duration_unit']['table'] = 'field_data_field_duration_unit';
  $handler->display->display_options['fields']['field_duration_unit']['field'] = 'field_duration_unit';
  $handler->display->display_options['fields']['field_duration_unit']['label'] = 'Type';
  $handler->display->display_options['fields']['field_duration_unit']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'pe_program' => 'pe_program',
  );
  /* Filter criterion: Content: Program type (field_term_program_type) */
  $handler->display->display_options['filters']['field_term_program_type_tid']['id'] = 'field_term_program_type_tid';
  $handler->display->display_options['filters']['field_term_program_type_tid']['table'] = 'field_data_field_term_program_type';
  $handler->display->display_options['filters']['field_term_program_type_tid']['field'] = 'field_term_program_type_tid';
  $handler->display->display_options['filters']['field_term_program_type_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['operator_id'] = 'field_term_program_type_tid_op';
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['operator'] = 'field_term_program_type_tid_op';
  $handler->display->display_options['filters']['field_term_program_type_tid']['expose']['identifier'] = 'field_term_program_type_tid';
  $handler->display->display_options['filters']['field_term_program_type_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_term_program_type_tid']['vocabulary'] = 'program_type';
  $handler->display->display_options['filters']['field_term_program_type_tid']['hierarchy'] = 1;
  $handler->display->display_options['filters']['field_term_program_type_tid']['error_message'] = FALSE;
  /* Filter criterion: Content: Time (field_term_time) */
  $handler->display->display_options['filters']['field_term_time_tid']['id'] = 'field_term_time_tid';
  $handler->display->display_options['filters']['field_term_time_tid']['table'] = 'field_data_field_term_time';
  $handler->display->display_options['filters']['field_term_time_tid']['field'] = 'field_term_time_tid';
  $handler->display->display_options['filters']['field_term_time_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_term_time_tid']['expose']['operator_id'] = 'field_term_time_tid_op';
  $handler->display->display_options['filters']['field_term_time_tid']['expose']['label'] = 'Time';
  $handler->display->display_options['filters']['field_term_time_tid']['expose']['operator'] = 'field_term_time_tid_op';
  $handler->display->display_options['filters']['field_term_time_tid']['expose']['identifier'] = 'field_term_time_tid';
  $handler->display->display_options['filters']['field_term_time_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_term_time_tid']['vocabulary'] = 'time';
  $handler->display->display_options['filters']['field_term_time_tid']['hierarchy'] = 1;
  $handler->display->display_options['filters']['field_term_time_tid']['error_message'] = FALSE;
  /* Filter criterion: Field: Academic section (field_section_id) */
  $handler->display->display_options['filters']['field_section_id_target_id']['id'] = 'field_section_id_target_id';
  $handler->display->display_options['filters']['field_section_id_target_id']['table'] = 'field_data_field_section_id';
  $handler->display->display_options['filters']['field_section_id_target_id']['field'] = 'field_section_id_target_id';
  $handler->display->display_options['filters']['field_section_id_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['operator_id'] = 'field_section_id_target_id_op';
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['label'] = 'Faculty/Department';
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['operator'] = 'field_section_id_target_id_op';
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['identifier'] = 'field_section_id_target_id';
  $handler->display->display_options['path'] = 'programs';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Programs';
  $handler->display->display_options['menu']['description'] = 'List of academic programs';
  $handler->display->display_options['menu']['weight'] = '2';
  $handler->display->display_options['menu']['name'] = 'main-menu';
  $handler->display->display_options['menu']['context'] = 0;

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Programs';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $translatables['programlist'] = array(
    t('Master'),
    t('List of programs'),
    t('more'),
    t('Filter'),
    t('Reset'),
    t('Sort by'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('« first'),
    t('‹ previous'),
    t('next ›'),
    t('last »'),
    t('Title'),
    t('Faculty/Department'),
    t('Type'),
    t('Duration'),
    t('Time (field_term_time)'),
    t('Page'),
    t('Program'),
    t('Time'),
    t('Block'),
    t('Programs'),
  );

  $views[$view->name] = $view;
  return $views;
}
