<?php

/**
 * @file
 * taxoterm.features.uuid_term.inc
 */

/**
 * Implements hook_uuid_features_default_terms().
 */
function pe_program_uuid_features_default_terms() {
  $terms = array();

  // program_type
  $terms[] = array(
    'name' => 'Undergraduate',
    'description' => '',
    'format' => '',
    'weight' => '0',
    'uuid' => '880bc278-9a4a-2e94-1df6-6be1fd82fd88',
    'vocabulary_machine_name' => 'program_type',
  );
  $terms[] = array(
    'name' => 'Postgraduate',
    'description' => '',
    'format' => '',
    'weight' => '0',
    'uuid' => '9e570f05-187d-1704-51a0-e5091d25f0f5',
    'vocabulary_machine_name' => 'program_type',
  );

  $terms[] = array(
    'name' => 'Certificate',
    'description' => '',
    'format' => '',
    'weight' => '0',
    'uuid' => 'a11307a7-e358-cfa4-3142-9e164bf231cc',
    'vocabulary_machine_name' => 'program_type',
  );

  $terms[] = array(
    'name' => 'Diploma',
    'description' => '',
    'format' => '',
    'weight' => '0',
    'uuid' => '1befe72a-572b-59f4-b5a1-e4e3bfae1293',
    'vocabulary_machine_name' => 'program_type',
  );

  // program
  $terms[] = array(
    'name' => 'Bachelor of Pharmacy',
    'description' => 'BPharm',
    'format' => 'plain_text',
    'weight' => '0',
    'uuid' => '824d6456-d433-4b14-0167-812d1632e297',
    'vocabulary_machine_name' => 'program',
    'field_degree_certificate' => array(
      'und' => array(
        0 => array(
          'value' => 'BPharm',
          'format' => NULL,
          'safe_value' => 'BPharm',
        ),
      ),
    ),
  );

  $terms[] = array(
    'name' => 'Bachelor of Dental Surgery',
    'description' => '',
    'format' => 'plain_text',
    'weight' => '0',
    'uuid' => 'e5e162d3-9013-ee34-15ad-83fc0f69fa57',
    'vocabulary_machine_name' => 'program',
    'field_degree_certificate' => array(
      'und' => array(
        0 => array(
          'value' => 'BDS',
          'format' => NULL,
          'safe_value' => 'BDS',
        ),
      ),
    ),
  );

  $terms[] = array(
    'name' => 'B.Sc. Hons (Physics)',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => '0',
    'uuid' => 'ee381349-7cc6-e444-61b5-7df44f852456',
    'vocabulary_machine_name' => 'program',
    'field_degree_certificate' => array(
      'und' => array(
        0 => array(
          'value' => 'B.Sc. Hons (Physics)',
          'format' => NULL,
          'safe_value' => 'B.Sc. Hons (Physics)',
        ),
      ),
    ),
  );

  $terms[] = array(
    'name' => 'Bachelor of Science (Chemistry)',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => '0',
    'uuid' => '2fa15458-68b7-0ed4-81c3-988edf64b6df',
    'vocabulary_machine_name' => 'program',
    'field_degree_certificate' => array(
      'und' => array(
        0 => array(
          'value' => 'BSc (Chemistry)',
          'format' => NULL,
          'safe_value' => 'BSc (Chemistry)',
        ),
      ),
    ),
  );

  $terms[] = array(
    'name' => 'Bachelor of Science (Computer Science)',
    'description' => 'BSc (Computer Science)',
    'format' => 'plain_text',
    'weight' => '0',
    'uuid' => '054ad713-8c62-8824-ddb5-f10d9b5ae71e',
    'vocabulary_machine_name' => 'program',
    'field_degree_certificate' => array(
      'und' => array(
        0 => array(
          'value' => 'BSc (Computer Scienc',
          'format' => NULL,
          'safe_value' => 'BSc (Computer Scienc',
        ),
      ),
    ),
  );

  $terms[] = array(
    'name' => 'Diploma in Data Processing',
    'description' => 'DDP',
    'format' => 'plain_text',
    'weight' => '0',
    'uuid' => 'fe97f5e5-96a7-2764-f186-bce832200307',
    'vocabulary_machine_name' => 'program',
    'field_degree_certificate' => array(
      'und' => array(
        0 => array(
          'value' => 'DDP',
          'format' => NULL,
          'safe_value' => 'DDP',
        ),
      ),
    ),
  );

  $terms[] = array(
    'name' => 'Doctor of Pharmacy',
    'description' => 'PharmD',
    'format' => 'plain_text',
    'weight' => '0',
    'uuid' => 'f3c3abe6-442b-03d4-c5a7-45c4ea9be093',
    'vocabulary_machine_name' => 'program',
    'field_degree_certificate' => array(
      'und' => array(
        0 => array(
          'value' => 'PharmD',
          'format' => NULL,
          'safe_value' => 'PharmD',
        ),
      ),
    ),
  );

  // time
  $terms[] = array(
    'name' => 'Part-time',
    'description' => '',
    'format' => '',
    'weight' => '0',
    'uuid' => '9af33abe-fcfd-00b4-f5e0-c4fa0af60170',
    'vocabulary_machine_name' => 'time',
  );

  $terms[] = array(
    'name' => 'Evening classes',
    'description' => '',
    'format' => 'filtered_html',
    'weight' => '0',
    'uuid' => 'a024251d-4b09-0ff4-f9b0-8a4f5963cef5',
    'vocabulary_machine_name' => 'time',
  );
  $terms[] = array(
    'name' => 'Extra-mural',
    'description' => '',
    'format' => '',
    'weight' => '0',
    'uuid' => 'a27a0224-0f0c-2014-d13d-f983cbb9cbaa',
    'vocabulary_machine_name' => 'time',
  );

  $terms[] = array(
    'name' => 'Full-time',
    'description' => '',
    'format' => '',
    'weight' => '0',
    'uuid' => 'e56b38c9-96b9-6204-61e9-c06030d30a47',
    'vocabulary_machine_name' => 'time',
  );

  return $terms;
}
