<?php

/**
 * @file
 * Contains default views
 */

/**
 * Implements hook_views_default_views().
 */
function pe_program_course_views_default_views() {

  $view = new view();
  $view->name = 'program_courses_list';
  $view->description = 'List of courses for programs';
  $view->tag = 'phpedu';
  $view->base_table = 'node';
  $view->human_name = 'Program courses list';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Programs & courses';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    6 => '6',
    7 => '7',
    5 => '5',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_course_id' => 'field_course_id',
    'field_code' => 'field_code',
    'field_acad_program_id' => 'field_acad_program_id',
    'field_section_id' => 'field_section_id',
    'field_level' => 'field_level',
    'field_credits' => 'field_credits',
  );
  $handler->display->display_options['style_options']['default'] = 'field_course_id';
  $handler->display->display_options['style_options']['info'] = array(
    'field_course_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_code' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_acad_program_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_section_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_level' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_credits' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_course_id_target_id']['id'] = 'field_course_id_target_id';
  $handler->display->display_options['relationships']['field_course_id_target_id']['table'] = 'field_data_field_course_id';
  $handler->display->display_options['relationships']['field_course_id_target_id']['field'] = 'field_course_id_target_id';
  $handler->display->display_options['relationships']['field_course_id_target_id']['label'] = 'course';
  /* Field: Content: Course */
  $handler->display->display_options['fields']['field_course_id']['id'] = 'field_course_id';
  $handler->display->display_options['fields']['field_course_id']['table'] = 'field_data_field_course_id';
  $handler->display->display_options['fields']['field_course_id']['field'] = 'field_course_id';
  $handler->display->display_options['fields']['field_course_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_course_id']['settings'] = array(
    'link' => 1,
  );
  /* Field: Content: Code */
  $handler->display->display_options['fields']['field_code']['id'] = 'field_code';
  $handler->display->display_options['fields']['field_code']['table'] = 'field_data_field_code';
  $handler->display->display_options['fields']['field_code']['field'] = 'field_code';
  $handler->display->display_options['fields']['field_code']['relationship'] = 'field_course_id_target_id';
  $handler->display->display_options['fields']['field_code']['element_label_colon'] = FALSE;
  /* Field: Field: Academic program */
  $handler->display->display_options['fields']['field_acad_program_id']['id'] = 'field_acad_program_id';
  $handler->display->display_options['fields']['field_acad_program_id']['table'] = 'field_data_field_acad_program_id';
  $handler->display->display_options['fields']['field_acad_program_id']['field'] = 'field_acad_program_id';
  $handler->display->display_options['fields']['field_acad_program_id']['label'] = 'Program';
  $handler->display->display_options['fields']['field_acad_program_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_acad_program_id']['settings'] = array(
    'link' => 1,
  );
  /* Field: Field: Academic section */
  $handler->display->display_options['fields']['field_section_id']['id'] = 'field_section_id';
  $handler->display->display_options['fields']['field_section_id']['table'] = 'field_data_field_section_id';
  $handler->display->display_options['fields']['field_section_id']['field'] = 'field_section_id';
  $handler->display->display_options['fields']['field_section_id']['relationship'] = 'field_course_id_target_id';
  $handler->display->display_options['fields']['field_section_id']['label'] = 'Department';
  $handler->display->display_options['fields']['field_section_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_section_id']['settings'] = array(
    'link' => 1,
  );
  /* Field: Field: Level */
  $handler->display->display_options['fields']['field_level']['id'] = 'field_level';
  $handler->display->display_options['fields']['field_level']['table'] = 'field_data_field_level';
  $handler->display->display_options['fields']['field_level']['field'] = 'field_level';
  $handler->display->display_options['fields']['field_level']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_level']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Content: Credits */
  $handler->display->display_options['fields']['field_credits']['id'] = 'field_credits';
  $handler->display->display_options['fields']['field_credits']['table'] = 'field_data_field_credits';
  $handler->display->display_options['fields']['field_credits']['field'] = 'field_credits';
  $handler->display->display_options['fields']['field_credits']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_credits']['settings'] = array(
    'thousand_separator' => ',',
    'prefix_suffix' => 1,
  );
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'pe_program_course' => 'pe_program_course',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Academic section (field_section_id) */
  $handler->display->display_options['filters']['field_section_id_target_id']['id'] = 'field_section_id_target_id';
  $handler->display->display_options['filters']['field_section_id_target_id']['table'] = 'field_data_field_section_id';
  $handler->display->display_options['filters']['field_section_id_target_id']['field'] = 'field_section_id_target_id';
  $handler->display->display_options['filters']['field_section_id_target_id']['relationship'] = 'field_course_id_target_id';
  $handler->display->display_options['filters']['field_section_id_target_id']['group'] = 1;
  $handler->display->display_options['filters']['field_section_id_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['operator_id'] = 'field_section_id_target_id_op';
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['label'] = 'Department';
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['operator'] = 'field_section_id_target_id_op';
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['identifier'] = 'field_section_id_target_id';
  $handler->display->display_options['filters']['field_section_id_target_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
    9 => 0,
  );
  /* Filter criterion: Content: Academic year (field_acad_year_id) */
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['id'] = 'field_acad_year_id_target_id';
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['table'] = 'field_data_field_acad_year_id';
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['field'] = 'field_acad_year_id_target_id';
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['group'] = 1;
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['expose']['operator_id'] = 'field_acad_year_id_target_id_op';
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['expose']['label'] = 'Year';
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['expose']['operator'] = 'field_acad_year_id_target_id_op';
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['expose']['identifier'] = 'field_acad_year_id_target_id';
  $handler->display->display_options['filters']['field_acad_year_id_target_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
    9 => 0,
  );
  /* Filter criterion: Field: Level (field_level) */
  $handler->display->display_options['filters']['field_level_tid']['id'] = 'field_level_tid';
  $handler->display->display_options['filters']['field_level_tid']['table'] = 'field_data_field_level';
  $handler->display->display_options['filters']['field_level_tid']['field'] = 'field_level_tid';
  $handler->display->display_options['filters']['field_level_tid']['value'] = '';
  $handler->display->display_options['filters']['field_level_tid']['group'] = 1;
  $handler->display->display_options['filters']['field_level_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_level_tid']['expose']['operator_id'] = 'field_level_tid_op';
  $handler->display->display_options['filters']['field_level_tid']['expose']['label'] = 'Level';
  $handler->display->display_options['filters']['field_level_tid']['expose']['operator'] = 'field_level_tid_op';
  $handler->display->display_options['filters']['field_level_tid']['expose']['identifier'] = 'field_level_tid';
  $handler->display->display_options['filters']['field_level_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
    9 => 0,
  );
  $handler->display->display_options['filters']['field_level_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_level_tid']['vocabulary'] = 'level';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'program-courses-list';

  $views[$view->name] = $view;
  return $views;
}
