<?php

  /**
   * @file
   *
   */

  /**
   * Common features for all the migrations.
   */

  class ArticleExample extends PhpEduExampleMigration{

    public function __construct() {
      parent::__construct();
      $this->description = t('Import articles.');

      // Create a map object for tracking the relationships between source rows
      $this->map = new MigrateSQLMap($this->machineName,
        array(
          'title' => array(
            'type'     => 'varchar',
            'length'   => 255,
            'not null' => TRUE,
          ),
        ),
        MigrateDestinationNode::getKeySchema()
      );

      // Create a MigrateSource object.
      $this->source = new MigrateSourceCSV(drupal_get_path('module', 'pe_migrate_example') . '/import/article_example.csv', $this->csvcolumns(), array('header_rows' => 1));

      $this->destination = new MigrateDestinationNode('article');

      $this->addFieldMapping('title', 'title');
      $this->addFieldMapping('body', 'body')->arguments(array('format' => 'full_html'));
      $this->addFieldMapping('promote', 'promote');
      $this->addFieldMapping('sticky', 'sticky');
      $this->addFieldMapping('published', 'published')->defaultValue(1);

      $this->addFieldMapping('field_image', 'field_image');
      $this->addFieldMapping('field_image:file_replace')->defaultValue(FILE_EXISTS_REPLACE);
      $this->addFieldMapping('field_image:source_dir')->defaultValue(drupal_get_path('module', 'pe_migrate_example') . '/import/images/articles');

      $this->addFieldMapping('uid', 'uid')->defaultValue(1);
      $this->addFieldMapping('is_new', 'is_new')->defaultValue(TRUE);
    }

    function csvcolumns() {
      $columns[0] = array('title', 'Title');
      $columns[1] = array('body', 'Body');
      $columns[2] = array('field_image', 'Image');
      $columns[3] = array('promote', 'Promote');
      $columns[4] = array('sticky', 'Sticky');

      return $columns;
    }
  }
