<?php

  /**
   * @file
   *
   */

  class PeCourseUserExample extends PhpEduExampleMigration{
    public function __construct() {
      parent::__construct();
      $this->description = t('Import user courses.');
      $this->dependencies = array('PeUserExample', 'PeProgramCourseExample');
      $this->map = new MigrateSQLMap($this->machineName,
        array(
          'name' => array(
            'type'     => 'varchar',
            'length'   => 60,
            'not null' => TRUE,
          ),
          'field_program_course_id' => array(
            'type'     => 'varchar',
            'length'   => 255,
            'not null' => TRUE,
          ),
        ),
        MigrateDestinationNode::getKeySchema()
      );

      $this->source = new MigrateSourceCSV(drupal_get_path('module', 'pe_migrate_example') . '/import/pe_course_user_example.csv', $this->csvcolumns(), array('header_rows' => 1));
      $this->destination = new MigrateDestinationNode(NODE_TYPE_COURSE_USER);

      $this->addFieldMapping('title', 'title');
      $this->addFieldMapping('field_program_course_id', 'field_program_course_id')->sourceMigration('PeProgramCourseExample');
      $this->addFieldMapping('field_status', 'field_status');
      $this->addFieldMapping('field_approved_by', 'field_section_id')->sourceMigration('PeUserExample');
      $this->addFieldMapping('field_approved_date', 'field_delivery_method');
      $this->addFieldMapping('field_validated_by', 'field_validated_by')->sourceMigration('PeUserExample');
      $this->addFieldMapping('field_validated_date', 'field_validated_date');
      $this->addFieldMapping('uid', 'name')->sourceMigration('PeUserExample');
      $this->addFieldMapping('is_new', 'is_new')->defaultValue(TRUE);
    }

    function prepareRow($row) {
      if (parent::prepareRow($row) === FALSE) {
        return FALSE;
      }
      $row->title = sprintf("%s - %s", $row->field_program_course_id, $row->name);
      return TRUE;
    }

    function csvcolumns() {
      $columns[0] = array('name', 'Username');
      $columns[1] = array('field_program_course_id', 'Course');
      $columns[2] = array('field_status', 'Status');
      $columns[3] = array('field_approved_by', 'Approved by');
      $columns[4] = array('field_approved_date', 'Approved date');
      $columns[5] = array('field_validated_by', 'Validated by');
      $columns[6] = array('field_validated_date', 'Validated date');
      return $columns;
    }
  }
