<?php

  /**
   * @file
   *
   */

  /**
   * Common features for all the migrations.
   */

  class PeGroupExample extends PhpEduExampleMigration{

    public function __construct() {
      parent::__construct();
      $this->description = t('Import basic groups for users.');

      // Create a map object for tracking the relationships between source rows
      $this->map = new MigrateSQLMap($this->machineName,
        array(
          'title' => array(
            'type'     => 'varchar',
            'length'   => 255,
            'not null' => TRUE,
          ),
        ),
        MigrateDestinationNode::getKeySchema()
      );

      // Create a MigrateSource object.
      $this->source = new MigrateSourceCSV(drupal_get_path('module', 'pe_migrate_example') . '/import/pe_group_example.csv', $this->csvcolumns(), array('header_rows' => 1));

      $this->destination = new MigrateDestinationNode('pe_group');

      $this->addFieldMapping('title', 'title');
      $this->addFieldMapping('body', 'body')->arguments(array('format' => 'full_html'));
      $this->addFieldMapping(NULL, 'uuid');

      $this->addFieldMapping('uid', 'uid')->defaultValue(1);
      $this->addFieldMapping('is_new', 'is_new')->defaultValue(TRUE);
    }

    function csvcolumns() {
      $columns[0] = array('uuid', 'UUID');
      $columns[1] = array('title', 'Title');
      $columns[2] = array('body', 'Body');
      return $columns;
    }

  }
