<?php

  /**
   * @file
   *
   */

  /**
   * Common features for all the migrations.
   */

  class PeGroupAdviserExample extends PhpEduExampleMigration{
    public function __construct() {
      parent::__construct();
      $this->description = t('Import course adviser groups.');
      $this->dependencies = array('PeUserExample');
      $this->map = new MigrateSQLMap($this->machineName,
        array(
          'title' => array(
            'type'     => 'varchar',
            'length'   => 255,
            'not null' => TRUE,
          ),
        ),
        MigrateDestinationNode::getKeySchema()
      );

      $this->source = new MigrateSourceCSV(drupal_get_path('module', 'pe_migrate_example') . '/import/pe_group_adviser_example.csv', $this->csvcolumns(), array('header_rows' => 1));
      $this->destination = new MigrateDestinationNode(NODE_TYPE_GROUP_ADVISER);
      $this->addFieldMapping('title', 'title');
      $this->addFieldMapping('body', 'body')->arguments(array('format' => 'full_html'));
      $this->addFieldMapping('uid', 'name')->sourceMigration('PeUserExample')->defaultValue(1);
      $this->addFieldMapping('is_new', 'is_new')->defaultValue(TRUE);
    }

    function csvcolumns() {
      $columns[0] = array('name', 'Username');
      $columns[1] = array('title', 'Title');
      $columns[2] = array('body', 'Body');
      return $columns;
    }
  }

class PeGroupAdviserMembershipExample extends PhpEduExampleMigration{
  public function __construct() {
    parent::__construct();

    $this->description = t('Import users into course adviser groups');
    $this->dependencies = array(
      'PeUserExample',
      'PeGroupAdviserExample',
    );
    $this->source = new MigrateSourceCSV(drupal_get_path('module', 'pe_migrate_example') . '/import/pe_group_adviser_users_example.csv', $this->csvcolumns(), array('header_rows' => 1));
    $this->map = new MigrateSQLMap($this->machineName,
      array(
        'name' => array(
          'type'        => 'varchar',
          'length'      => 60,
          'not null'    => TRUE,
          'description' => t('Username')
        )
      ),
      MigrateDestinationOGMembership::getKeySchema()
    );

    $this->destination = new MigrateDestinationOGMembership();

    $this->addFieldMapping('group_type', NULL)->defaultValue('node');
    $this->addFieldMapping('gid', 'group')->sourceMigration('PeGroupAdviserExample');
    $this->addFieldMapping('entity_type', NULL)->defaultValue('user');
    $this->addFieldMapping('etid', 'name')->sourceMigration('PeUserExample');
    $this->addFieldMapping('group_role', 'group_role');
//    $this->addFieldMapping(NULL, 'group');
//    $this->addFieldMapping(NULL, 'name');
  }

  function csvcolumns() {
    $columns = array();
    $columns[0] = array('name', 'Username');
    $columns[1] = array('group', 'Group');
    $columns[2] = array('group_role', 'Group role');
    return $columns;
  }
}
