<?php

  /**
   * @file
   *
   */


  class PeProgramExample extends PhpEduExampleMigration{

    public function __construct() {
      parent::__construct();
      $this->description = t('Import Academic program nodes.');
      $this->dependencies = array('PeSectionExample');
      // Create a map object for tracking the relationships between source rows
      $this->map = new MigrateSQLMap($this->machineName,
        array(
          'title' => array(
            'type'     => 'varchar',
            'length'   => 255,
            'not null' => TRUE,
          ),
        ),
        MigrateDestinationNode::getKeySchema()
      );

      // Create a MigrateSource object.
      $this->source = new MigrateSourceCSV(drupal_get_path('module', 'pe_migrate_example') . '/import/pe_program_example.csv', $this->csvcolumns(), array('header_rows' => 1));

      $this->destination = new MigrateDestinationNode('pe_program');

      $this->addFieldMapping('title', 'title');
      $this->addFieldMapping('body', 'body')->arguments(array('format' => 'full_html'));
      $this->addFieldMapping('field_code', 'field_code');
      $this->addFieldMapping('field_duration', 'field_duration');
      $this->addFieldMapping('field_duration_unit', 'field_duration_unit');
      $this->addFieldMapping('field_institution_type', 'field_institution_type');
      $this->addFieldMapping('field_section_id', 'field_section_id')->sourceMigration(array('PeSectionExample'));
      $this->addFieldMapping('field_main_location', 'field_main_location');
      $this->addFieldMapping('field_term_program', 'field_term_program');
      $this->addFieldMapping('field_term_time', 'field_term_time');
      $this->addFieldMapping('field_term_program_type', 'field_term_program_type');
      $this->addFieldMapping('field_requirements', 'field_requirements')->arguments(array('format' => 'full_html'));
      $this->addFieldMapping('field_career', 'field_career')->arguments(array('format' => 'full_html'));

      $this->addFieldMapping('field_image', 'field_image');
      $this->addFieldMapping('field_image:file_replace')->defaultValue(FILE_EXISTS_REPLACE);
      $this->addFieldMapping('field_image:source_dir')->defaultValue(drupal_get_path('module', 'pe_migrate_example') . '/import/images/programs');

      $this->addFieldMapping('uid', 'uid')->defaultValue(1);
      $this->addFieldMapping('is_new', 'is_new')->defaultValue(TRUE);
    }

    function csvcolumns() {
      $columns[0] = array('title', 'Title');
      $columns[1] = array('body', 'Body');
      $columns[2] = array('field_image', 'Image');
      $columns[3] = array('field_code', 'Code');
      $columns[4] = array('field_duration', 'Duration');
      $columns[5] = array('field_duration_unit', 'Duration unit');
      $columns[6] = array('field_section_id', 'Department');
      $columns[7] = array('field_term_program', 'Degree/Certificate');
      $columns[8] = array('field_term_time', 'Time');
      $columns[9] = array('field_term_program_type', 'Program type');
      $columns[10] = array('field_requirements', 'Requirements');
      $columns[11] = array('field_career', 'Career');

      return $columns;
    }
  }
